'use strict';

/*global
 jQuery
 */

/*eslint
 yoda: [2, "always"]
 */

/**
 * main.js
 *
 * WooCommerce enhancements.
 */

jQuery( function( $ ) {

	/**
	 * Remove brackets form WC attributes & categories lists
	 */

	$( '.widget_layered_nav span.count, .widget_product_categories span.count, .grimlock-woocommerce-products-categories--layout_grid li.product.product-category .count' ).each( function() {
		var count = $( this ).html();
		count = count.substring( 1, count.length - 1 );
		$( this ).html( count ).addClass( 'count--done' );
	} );

	/**
	 * Prevent Bootstrap dropdown form closing on click.
	 */
	$( 'body' ).on( 'click', '.dropdown-wc-filters .dropdown-menu', function( event ) {
		event.stopPropagation();
	} );

	/**
	 * Add/Remove class when WC Dropdown filter are shown/hidden.
	 */
	var $dropdownWCFilters = $( '#dropdown-wc-filters' );

	$dropdownWCFilters.on( 'show.bs.dropdown', function() {
		$( 'body' ).addClass( 'dropdown-wc-filters-open' );
	} );

	$dropdownWCFilters.on( 'hidden.bs.dropdown', function() {
		$( 'body' ).removeClass( 'dropdown-wc-filters-open' );
	} );

	/**
	 * Add Tooltip to WC products action buttons.
	 */
	var $tooltipElements = $( '.grimlock-woocommerce--archive-product-button-format-icon .product .product-buttons, .grimlock-woocommerce--archive-product-button-format-icon-main-button .product .product-buttons, .product .entry-summary .product-title-wrapper' ).children( '.button, button' );

	if ( $tooltipElements.length ) {
		var tooltipOptions = {
			title: function() {
				return $( this ).text();
			},
			trigger: 'hover',
			offset: '0, 5',
			placement: 'left',
			delay: { "show": 0, "hide": 0 },
			selector: '.grimlock-woocommerce--archive-product-button-format-icon .product .product-buttons > .button, ' +
				'.grimlock-woocommerce--archive-product-button-format-icon-main-button .product .product-buttons > .button, ' +
				'.grimlock-woocommerce--archive-product-button-format-icon .product .product-buttons > button, ' +
				'.grimlock-woocommerce--archive-product-button-format-icon-main-button .product .product-buttons > button',
		};

		// Archive tooltips
		$( document ).tooltip( tooltipOptions );

		$tooltipElements.on( 'click', function() {
			// Hack to fix bug with the "Add to cart" button
			$( this ).tooltip( 'dispose' );
		} );

		// Single tooltips
		$( '.product .entry-summary .product-title-wrapper' ).tooltip( {
			...tooltipOptions,
			placement: 'top',
			selector: 'button, .button',
		} );
	}

	/**
	 * WC Filters + Quick View compatibility
	 */
	$( document ).on( 'wpf_ajax_success', function() {
		woosq_ids = [];
		woosq_products = [];

		$('.woosq-btn, .woosq-link').each(function() {
			var id = $(this).attr('data-id');
			var pid = $(this).attr('data-pid');
			var product_id = $(this).attr('data-product_id');

			if (typeof pid !== typeof undefined && pid !== false) {
				id = pid;
			}

			if (typeof product_id !== typeof undefined && product_id !== false) {
				id = product_id;
			}

			if (-1 === $.inArray(id, woosq_ids)) {
				woosq_ids.push(id);
				woosq_products.push({src: woosq_vars.ajax_url + '?product_id=' + id});
			}
		});
	} );

	/**
	 * Open WC filters by default in filters slideout
	 */
	$( '.dropdown-wc-filters .wpf_items_grouped:not(.wpf_layout_horizontal) .wpf_item_name' ).each( function() {
		if ( $( this ).closest( '.wpf_item_onsale, .wpf_item_instock' ).length ) {
			return;
		}
		$( this ).next('.wpf_items_group').hide();
	} );

} );
