<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

/**
 * Class Grimlock_WooCommerce_Product_Component
 *
 * @author  themosaurus
 * @since   1.0.0
 * @package grimlock/inc/components
 */
class Grimlock_WooCommerce_Product_Component extends Grimlock_Component {
	/**
	 * Create a new Grimlock_Component instance.
	 *
	 * @param array $props Array of variables to be used within template.
	 */
	public function __construct( $props = array() ) {
		parent::__construct( wp_parse_args( $props, array(
			'post_thumbnail_displayed' => true,
            'post_thumbnail_size'      => 'shop_catalog',
			'post_thumbnail_attr'      => array( 'class' => 'card-img' ),
			'post_excerpt_displayed'   => true,
		) ) );
	}

	/**
	 * Render the current component with props data on page.
	 *
	 * @since 1.0.0
	 */
	public function render() {
		/**
		 * Hook: grimlock_woocommerce_product_template
		 *
		 * @hooked grimlock_woocommerce_product_template - 10
		 */
		do_action( 'grimlock_woocommerce_product_template', $this->props );
	}
}
