<?php
/**
 * Grimlock_WooCommerce_Table_Customizer Class
 *
 * @author  Themosaurus
 * @since   1.0.0
 * @package grimlock
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * The Grimlock WooCommerce Customizer style class.
 */
class Grimlock_WooCommerce_Table_Customizer {
	/**
	 * Setup class.
	 *
	 * @since 1.0.0
	 */
	public function __construct() {
		add_filter( 'grimlock_table_customizer_striped_background_color_outputs',  array( $this, 'add_striped_background_color_outputs'     ), 10, 1 );
	}

	/**
	 * Add selectors and properties to the CSS rule-set for the striped table row background color.
	 *
	 * @since 1.0.0
	 *
	 * @param  array $outputs The array of CSS selectors and properties for the striped table row background color.
	 *
	 * @return array          The updated array of CSS selectors for the striped table row background color.
	 */
	public function add_striped_background_color_outputs( $outputs ) {
		return array_merge( $outputs, array(
			array(
				'element'  => implode( ',', array(
					'.woocommerce table.shop_attributes tr',
					'.woocommerce-page table.shop_attributes tr',
				) ),
				'property' => 'border-bottom-color',
			),
			array(
				'element'  => implode( ',', array(
					'.dropdown-wc-filters #woocommerce-filters .widget + .widget',
					'.woocommerce .widget_shopping_cart .total',
					'.woocommerce-page .widget_shopping_cart .total',
				) ),
				'property' => 'border-top-color',
			),
			array(
				'element'  => implode( ',', array(
					'.woocommerce ul.product_list_widget li dl.variation',
					'.woocommerce-page ul.product_list_widget li dl.variation',
				) ),
				'property' => 'border-left-color',
			),
		) );
	}
}

return new Grimlock_WooCommerce_Table_Customizer();
