<?php
/**
 * Grimlock_WooCommerce_Taxonomy_Product_Cat_Customizer Class
 *
 * @author  Themosaurus
 * @since   1.0.0
 * @package grimlock
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * The Grimlock Customizer class for the posts page and the archive pages.
 */
class Grimlock_WooCommerce_Taxonomy_Product_Cat_Customizer {
	/**
	 * Setup class.
	 *
	 * @since 1.0.0
	 */
	public function __construct() {
		add_filter( 'grimlock_custom_header_args',                                 array( $this, 'add_custom_header_args' ), 30, 1 );
		add_filter( 'grimlock_woocommerce_archive_product_customizer_is_template', array( $this, 'is_template'            ), 10, 1 );
	}

	/**
	 * @param $default
	 *
	 * @return bool
	 */
	public function is_template( $default = false ) {
		return function_exists( 'is_product_category' ) && is_product_category() ||
		       $default;
	}

	/**
	 * Change the title for the Custom Header.
	 *
	 * @since 1.0.0
	 *
	 * @param  array $args The array of arguments for the Custom Header.
	 *
	 * @return array       The filtered array of arguments for the Custom Header.
	 */
	public function add_custom_header_args( $args ) {
		if ( $this->is_template() ) {
			$args['title']    = single_term_title( "", false );
			$args['subtitle'] = term_description();
		}
		return $args;
	}
}

return new Grimlock_WooCommerce_Taxonomy_Product_Cat_Customizer();
