<?php
/**
 * Grimlock WooCommerce template hooks for WooCommerce.
 *
 * @package grimlock-woocommerce
 */

/**
 * Navigation hooks.
 *
 * @see grimlock_woocommerce_cart_link_fragment
 *
 * @since 1.0.0
 */
add_filter( 'woocommerce_add_to_cart_fragments', 'grimlock_woocommerce_cart_link_fragment', 10 );

/**
 * Product hooks
 *
 * @see grimlock_woocommerce_product_template
 */
add_action( 'grimlock_woocommerce_product_template', 'grimlock_woocommerce_product_template', 10, 1 );

/**
 * Navbar hooks
 *
 * @see grimlock_woocommerce_cart_widget
 */
add_action( 'grimlock_woocommerce_navbar_nav_menu_cart_sub_menu', 'grimlock_woocommerce_cart_widget', 10 );

/**
 * Background Image for product cat hook.
 *
 * @see grimlock_woocommerce_content_product_cat_background_image()
 */
add_action( 'grimlock_woocommerce_content_product_cat_background_image', 'grimlock_woocommerce_content_product_cat_background_image', 10 );

/**
 * Content wrapper hooks.
 */
remove_action( 'woocommerce_before_main_content', 'woocommerce_output_content_wrapper',              10 );
remove_action( 'woocommerce_after_main_content',  'woocommerce_output_content_wrapper_end',          10 );
add_action(    'woocommerce_before_main_content', 'grimlock_woocommerce_output_content_wrapper',     10 );
add_action(    'woocommerce_after_main_content',  'grimlock_woocommerce_output_content_wrapper_end', 10 );

/**
 * Breadcrumb hooks.
 */
remove_action( 'woocommerce_before_main_content', 'woocommerce_breadcrumb', 20 );
add_action(    'grimlock_woocommerce_breadcrumb', 'grimlock_breadcrumb',    10 );

/**
 * Archive hooks.
 */
remove_action( 'woocommerce_before_shop_loop',    'woocommerce_result_count',                 20 );
remove_action( 'woocommerce_before_shop_loop',    'woocommerce_catalog_ordering',             30 );
add_action(    'woocommerce_before_main_content', 'grimlock_woocommerce_before_main_content', 40 );
add_action(    'woocommerce_before_shop_loop',    'grimlock_woocommerce_before_shop_loop',    5  );

/**
 * Products loop hooks
 */
remove_action( 'woocommerce_before_shop_loop_item', 'woocommerce_template_loop_product_link_open', 10 );
remove_action( 'woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_rating', 5 );
add_action( 'woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_rating', 11 );

/**
 * Sidebar hooks.
 */
remove_action( 'woocommerce_sidebar', 'woocommerce_get_sidebar', 10 );

/**
 * Checkout hooks.
 */
remove_action( 'woocommerce_checkout_order_review',       'woocommerce_checkout_payment', 20 );
add_action(    'woocommerce_checkout_after_order_review', 'woocommerce_checkout_payment', 20 );

add_action(    'woocommerce_checkout_order_review', 'grimlock_woocommerce_order_review_heading', 5 );

/**
 * Cart hooks.
 */
remove_action( 'woocommerce_cart_collaterals', 'woocommerce_cross_sell_display', 10 );
add_action(    'woocommerce_after_cart',       'woocommerce_cross_sell_display', 20 );

/**
 * Single hooks.
 */
remove_action( 'woocommerce_before_single_product_summary', 'woocommerce_show_product_sale_flash', 10 );
add_action(    'woocommerce_single_product_summary',        'woocommerce_show_product_sale_flash', 2  );

add_action(    'woocommerce_single_product_summary', 'grimlock_woocommerce_single_title_before', 4  );
add_action(    'woocommerce_single_product_summary', 'grimlock_woocommerce_single_title_after',  9  );

add_action(    'woocommerce_before_single_product_summary', 'grimlock_woocommerce_single_product_summary_open',  1  );
add_action(    'woocommerce_after_single_product_summary', 'grimlock_woocommerce_single_product_summary_close',  1  );
add_action(    'woocommerce_after_single_product_summary', 'grimlock_woocommerce_after_single_product_summary_close',  1000  );


/**
 * Dashboard hooks
 *
 * @see grimlock_woocommerce_dashboard
 */
add_action( 'woocommerce_account_dashboard', 'grimlock_woocommerce_dashboard', 10 );

/**
 * Store notice
 */
remove_action( 'wp_footer',          'woocommerce_demo_store'    );
add_action(    'grimlock_preheader', 'woocommerce_demo_store', 0 );

/**
 * Term component
 */
add_action( 'grimlock_term_before_card_body', 'grimlock_woocommerce_wpc_brand_thumbnail', 10, 1 );
add_action( 'grimlock_term_header',           'grimlock_woocommerce_wpc_brand_logo',      5,  1 );
