<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

/**
 * Class Grimlock_WooCommerce_WC_Vendors
 *
 * @author  themoasaurus
 * @since   1.3.0
 * @package grimlock-woocommerce
 */
class Grimlock_WooCommerce_WC_Vendors {
	/**
	 * Setup class.
	 *
	 * @since 1.3.0
	 */
	public function __construct() {
		add_filter( 'grimlock_custom_header_args', array( $this, 'add_custom_header_args' ), 30, 1 );
	}

	/**
	 * Change the title and subtitle for the Custom Header.
	 *
	 * @since 1.3.0
	 *
	 * @param  array $args The array of arguments for the Custom Header.
	 *
	 * @return array       The filtered array of arguments for the Custom Header.
	 */
	public function add_custom_header_args( $args ) {
		if ( WCV_Vendors::is_vendor_page() ) {
			$vendor_shop = urldecode( get_query_var( 'vendor_shop' ) );
			$vendor_id   = WCV_Vendors::get_vendor_id( $vendor_shop );
			$shop_name   = get_user_meta( $vendor_id, 'pv_shop_name', true );
			$description      = do_shortcode( get_user_meta( $vendor_id, 'pv_shop_description', true ) );
			$args['title']    = $shop_name;
			$args['subtitle'] = $description;
		}
		return $args;
	}
}
